Name:           compiz-manager
Version:        0.6.0
Release:        10%{?dist}
Summary:        A wrapper script to start compiz with proper options

Group:          Applications/System
License:        GPLv2+
URL:            http://www.opencompositing.org/
Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.gz
Source1:        compiz-manager.license
Source2:        README.fedora
Patch0:         compiz-manager-0.6.0.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       compiz
Requires:       libcompizconfig
Requires:       xorg-x11-utils
Requires:       pciutils
Requires:       glx-utils


%description
This script will detect what options we need to pass to compiz to get it 
started, and start a default plugin and possibly window decorator.

%prep
%setup -q
%patch0 -p1

cp -p %{SOURCE1} COPYING
cp -p %{SOURCE2} README.fedora

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}/
cp -p compiz-manager %{buildroot}/%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README.fedora
%{_bindir}/compiz-manager

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 16 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.0-8
- re-enable ppc64
- update patch to respect ppc64

* Wed Mar 26 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.0-7
- ExcludeArch: ppc64 (compiz is not available there)
- added README.fedora

* Mon Mar 24 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.6.0-6
- Fix changelog date

* Mon Mar 24 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.6.0-5
- Update patch to work with with kde4

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.0-4
- update patch: recognize corrected driver path

* Thu Oct 25 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.0-3
- keep timestamp also of COPYING
- Update patch: always use kwin as fallback in KDE_FULL_SESSION

* Wed Oct 24 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.0-2
- update patch: differ between different archs
- update patch: don't hardcode the libGl versions
- update patch: add description why not ot use emerald by default
- add requires: xorg-x11-utils
- add requires: pci-utils
- add requires: glx-utils
- add ExcludeArch for ppc64 because compiz isn't available there
- keep timestamp of compiz-manager


* Sun Oct 21 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.0-1
- Initial Release for Fedora
- Usage of description and summary from SUSE's package
- Include COPYING as extras source
